import {BaseClass} from "./BaseClass";
/*
*  table数据
* */
export class TableData extends BaseClass {
  constructor(extra={}) {
    super()
    // 数据
    this.data = []
    // 总数
    this.total = 0
    this.page = 1

    this.update(extra)

  }

  setData(res){
    if(res.code == 1){
      this.data = res.data||[]
      this.page = res.page
      this.total=res.totalNumber
    }
  }

};
